> ## Documentation Index
> Fetch the complete documentation index at: https://giftbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping

> Provides a way to test your authentication and check the health of the Giftbit API.



## OpenAPI

````yaml /api-reference/openapi.yaml get /ping
openapi: 3.1.0
info:
  title: Giftbit API
  version: v1
  description: >
    Giftbit's REST API lets you automatically order rewards and send them to
    your

    recipients. Delivery can be handled either by links that integrate into
    another

    system's workflow, or by emails sent through the Giftbit system.


    Authenticate every request with a bearer token in the `Authorization`
    header.

    Only an HTTP `200` means success; all non-`200` responses share a common
    error body.
  contact:
    name: Giftbit Support
    email: testbed@giftbit.com
    url: https://www.giftbit.com/api-documentation
servers:
  - url: https://api-testbed.giftbit.com/papi/v1
    description: Testbed
  - url: https://api.giftbit.com/papi/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Ping
    description: Test your authentication and check the health of the Giftbit API.
  - name: Brands
    description: List reward brands and retrieve extended information about a single brand.
  - name: Regions
    description: List the regions used to filter brands and request Full Catalog rewards.
  - name: Email Orders
    description: Order one or more rewards delivered to recipients by Giftbit email.
  - name: Shortlink Orders
    description: Order branded shortlink rewards that include a customized landing page.
  - name: Direct Link Orders
    description: >-
      Order minimally branded direct link rewards returned immediately in the
      response.
  - name: Embedded Rewards
    description: >-
      Order a single in-app reward for immediate delivery in your app or
      website.
  - name: Funds
    description: Retrieve your account balance and top it up with a credit card payment.
  - name: Rewards
    description: List, retrieve, resend, and cancel individual rewards.
paths:
  /ping:
    get:
      tags:
        - Ping
      summary: Ping
      description: >-
        Provides a way to test your authentication and check the health of the
        Giftbit API.
      operationId: ping
      responses:
        '200':
          description: Credentials are valid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  username:
                    type: string
                    description: The username associated with the credentials provided.
                  displayname:
                    type: string
                    description: The display name associated with the credentials provided.
                  info:
                    $ref: '#/components/schemas/Info'
              example:
                username: example_merchant@giftbit.com
                displayname: Example Merchant
                info:
                  code: INFO_CREDENTIALS
                  name: Credentials are valid
                  message: >-
                    The credentials used are valid and login attempt was
                    successful.
        '401':
          description: Access token missing or invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 401
                error:
                  code: ERROR_UNAUTHORIZED
                  name: Unauthorized
                  message: Access Token missing or invalid
components:
  schemas:
    Info:
      type: object
      description: Status information returned on successful requests.
      properties:
        code:
          type: string
          description: An enum-style status code for the request.
        name:
          type: string
          description: Human-readable status name.
        message:
          type: string
          description: Request-context-specific message.
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
        status:
          type: integer
          description: An integer that matches the HTTP status code returned.
    Error:
      type: object
      properties:
        code:
          type: string
          description: An enum-style error code that will not change.
        name:
          type: string
          description: Human-readable error name.
        message:
          type: string
          description: Request-specific information about the error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Send your API token prefixed by `Bearer ` in the `Authorization` header.

````